%global momorel 10

Summary: Automatically adapt laptop ethernet 
Name: laptop-net
Version: 2.8
Release: %{momorel}m
License: GPL
URL: http://www.swiss.ai.mit.edu/projects/omnibook/ethernet.php
Group: System Environment/Daemons

Source0: ftp://ftp.jp.debian.org/debian/pool/main/l/%{name}/%{name}_%{version}.orig.tar.gz
Source1: %{name}.init
Source2: config-sample.tar.gz
#NoSource: 0

Patch0: %{name}.libexec.patch
Patch1: %{name}.libnet.patch
Patch2: %{name}.match-macaddr.patch
Patch3: %{name}.shared.sh.in.patch
Patch4: %{name}.e100.patch
Patch5: %{name}.include-sockios.patch
Patch6: %{name}.try-SIOCDEVPRIVATE.patch
Patch7: %{name}.shared.sh_flush-addr.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildPrereq: libtool, libnet, libpcap, sed, texinfo, tetex, autoconf, make, gzip, tar

%description
This package supports the built-in ethernet of laptops by providing
several integrated features that automatically adapt the laptop to
the network environment.  The package is easily configured to support
a wide variety of network environments, and supports manual as well
as automatic management of the network interface.

The package can automatically: start and stop the network interface
at appropriate times; disable the network interface when the network
cable is removed, and enable it when the cable is inserted; select
the network interface's IP address, either by probing the network for
known hosts or by use of the DHCP protocol; customize the laptop's
software configuration to match the network interface's IP address.

%define state_dir %{_var}/state/%{name}

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p1 -b .libexec~
%patch1 -p1 -b .libnet~
%patch2 -p1 -b .macaddr
%patch3 -p1 -b .shared.in~
%patch4 -p1 -b .e100~
%patch5 -p1 -b .sockios~
%patch6 -p1 -b .SIOCDEVPRIVATE~
%patch7 -p1 -b .shared.in_flush-addr~

%build
autoconf
%configure --with-config=%{_sysconfdir}/%{name}
make

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}
%makeinstall DESTDIR=%{buildroot} install-conf
%__mkdir_p %{buildroot}%{_sbindir}
%__mv %{buildroot}%{_libexecdir}/%{name}/ifd %{buildroot}%{_sbindir}

%__mkdir_p %{buildroot}%{_initscriptdir}
./install-sh -c -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/%{name}

%__mkdir_p %{buildroot}%{_sysconfdir}/%{name}/profiles

%__mkdir_p %{buildroot}%{_datadir}/config-sample/%{name}
gzip -cd %{SOURCE2} | (cd %{buildroot}%{_datadir}/config-sample/%{name}; tar xf -)

%__mkdir_p %{buildroot}%{_infodir}
./install-sh -m 644 doc/%{name}.info %{buildroot}%{_infodir}

%__mkdir_p %{buildroot}%{state_dir}
%__mkdir_p %{buildroot}%{_var}/lib/%{name}/schemes

%__mkdir_p %{buildroot}%{_var}/lock/%{name}

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add laptop-net
if [ "$1" = 1 ]; then
	[ -f %{state_dir}/state  ]        || echo "unknown" > %{state_dir}/state
	[ -f %{state_dir}/target ]        || echo "down"    > %{state_dir}/target
	[ -f %{state_dir}/scheme ]        || echo "default" > %{state_dir}/scheme
	[ -f %{state_dir}/scheme-source ] || echo ""        > %{state_dir}/scheme-source
	[ -f %{state_dir}/profile ]       || echo ""        > %{state_dir}/profile
fi

/sbin/install-info %{_infodir}/%{name}.info.* %{_infodir}/dir \
	--entry="* %{name}: (%{name}).			Automatically adapt laptop ethernet."

%preun
if [ "$1" = 0 ]; then
        %{_initscripts}/laptop-net stop > /dev/null 2>&1
	/sbin/chkconfig --del laptop-net
	for file in state target scheme scheme-source profile; do
		[ -f %{state_dir}/$file ]  && %__rm -f %{state_dir}/$file
	done

	/sbin/install-info --delete %{_infodir}/%{name}.info.* %{_infodir}/dir \
	--entry="* %{name}: (%{name}).			Automatically adapt laptop ethernet."
fi

%files
%defattr(-,root,root)
%doc doc/%{name}.ps doc/%{name}.pdf doc/%{name}.html
%doc AUTHORS COPYING ChangeLog
%{_sbindir}/ifd
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/profiles
%{_initscriptdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config
%config(noreplace) %{_sysconfdir}/%{name}/schemes
%config(noreplace) %{_sysconfdir}/%{name}/ip-map
%{_datadir}/%{name}
%{_datadir}/config-sample/%{name}
%dir %{_var}/state/%{name}
%dir %{_var}/lib/%{name}/schemes
%dir %{_var}/lib/%{name}
%{_libexecdir}/%{name}
%{_infodir}/%{name}.info.*
%{_var}/lock/%{name}

%changeLog
* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8-10m)
- stop daemon

* Fri Jan 31 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.8-9m)
- flush assigned address before bringing up interface. It's ad hoc fix...
  see [Momonga-devel.ja:01316]
  thanks to Hiromasa YOSHIMOTO <yosimoto @ limu.is.kyushu-u.ac.jp>

* Sat Sep 21 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.8-8m)
- linkup.c: try SIOCDEVPRIVATE if SIOCGMIIPHY failed(Patch6: laptop-net.try-SIOCDEVPRIVATE.patch)
- stop NoSource

* Sat Sep 21 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.8-7m)
- support e100
  add laptop-net.include-sockios.patch to use SIOCGMIIPHY instead of SIOCDEVPRIVATE for e100
  add laptop-net.e100.patch

* Tue Sep  3 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.8-6m)
- change priority.
- added profile sample.

* Wed Aug 28 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.8-5m)
- Add init script and related stuff.

* Wed Aug 28 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.8-4m)
- pacchi atewasure(%patch2)

* Wed Aug 28 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.8-3m)
- revise laptop-net.libnet.patch
- write laptop-net.match-macaddr.patch
- add more files to %files

* Wed Aug 28 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.8-2m)
- revise laptop-net.libnet.patch to work with libnet-1.1 correctly.

* Mon Aug 26 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.8-1m)
- Initial import.
- not working, yet.
